Reminders

Add a reminder to many contacts

Create one reminder per contact for up to 500 contacts (`contact_ids`; duplicates are dropped), each linked to its one contact and sharing `reminder`'s `text`, `due_at_date`, `due_at_time` and `assign

POST /v2/reminders/batch-create

Request body

Content-Type: application/json

reminder
object required
reminder.text
string
reminder.due_at_date
any required
reminder.due_at_time
any
reminder.assignee_id
object enum
Possible values: null
contact_ids
array<string (uuid)> required

Example

{
  "reminder": {
    "due_at_date": null
  },
  "contact_ids": [
    "00000000-0000-0000-0000-000000000000"
  ]
}

Responses

201 — Created

Content-Type: application/json

data
object required
data.reminders
array<object> required
data.reminders[].id
string (uuid) required
data.reminders[].user_id
string
data.reminders[].workspace_id
string (uuid) | null
data.reminders[].assignee_id
string | null
data.reminders[].text
string | null
data.reminders[].due_at_date
string (date-time)
data.reminders[].due_at_time
string (date-time)
data.reminders[].is_complete
boolean
data.reminders[].email_sent
boolean
data.reminders[].push_notification_sent
boolean
data.reminders[].recurrence
string | null
data.reminders[].last_completed_at
string (date-time)
data.reminders[].next_occurrence_at
string (date-time)
data.reminders[].created_at
string (date-time)
data.reminders[].is_overdue
boolean
data.reminders[].next_cursor
string
data.reminders[].reminders_contacts
array<object>
data.reminders[].reminders_tags
array<object>
data.reminders[].users
object | null

Example

{
  "data": {
    "reminders": [
      {
        "id": "00000000-0000-0000-0000-000000000000"
      }
    ]
  }
}

400 — Request body failed validation.

Content-Type: application/json

(body)
any

401 — Missing or invalid API key.

Content-Type: application/json

(body)
any

403 — Valid key, insufficient permission.

Content-Type: application/json

(body)
any

404 — Resource does not exist.

Content-Type: application/json

(body)
any

409 — Request conflicts with the current state of the resource.

Content-Type: application/json

(body)
any

429 — Rate limit exceeded.

Content-Type: application/json

(body)
any

500 — Unexpected server error.

Content-Type: application/json

(body)
any

Code samples

curl https://api.prod.getdex.com/v2/reminders/batch-create \
  --request POST \
  --header 'Authorization: Bearer YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "reminder": {
    "due_at_date": null
  },
  "contact_ids": [
    "00000000-0000-0000-0000-000000000000"
  ]
}'
Copyright © 2026